• slider image 270
  • slider image 271
  • slider image 272
:::


Browsing this Thread:   1 Anonymous Users






安裝MCC 4.02發生的問題
#1
資深會員
資深會員


查看用戶資訊
已經有兩年沒有更新MPLAB X IDE及XC8了,加上很久沒使用了,有點不太熟悉,最近要使用PIC18開發產品,重新安裝X IDE 5.45及XC8 V2.31後準備安裝MCC,
發現以下訊息,應該是要安裝其他plugin, 但因為公司電腦本機無法直接上網連線安裝,只能透過下載的方式來完成安裝,
請問是否有以下plugin的下載路徑呢?
另外假設不使用MCC,那peripheral library(pic10-pic12-pic16-pic18-1.81.6.mc3lib)如何安裝呢?

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Some plugins require plugin com.microchip.mplab.nbide.embedded.makeproject to be installed.
The plugin com.microchip.mplab.nbide.embedded.makeproject is requested in version 1.2. The following plugin is affected:       MPLAB® Code Configurator
Some plugins require plugin com.microchip.mplab.nbide.softwarenotification to be installed.
The plugin com.microchip.mplab.nbide.softwarenotification is requested in version 1.0. The following plugin is affected:       MPLAB® Code Configurator
Some plugins require plugin com.microchip.mplab.nbide.statistics to be installed.
The plugin com.microchip.mplab.nbide.statistics is requested in version 1.1. The following plugin is affected:       MPLAB® Code Configurator
Some plugins require plugin com.microchip.mplab.nbide.webservices to be installed.
The plugin com.microchip.mplab.nbide.webservices is requested in version 1.0. The following plugin is affected:       MPLAB® Code Configurator
Some plugins require plugin org.netbeans.modules.diff to be installed.
The plugin org.netbeans.modules.diff is requested in version 1.47.1.42.1. The following plugin is affected:       MPLAB® Code Configurator
Some plugins require plugin org.netbeans.modules.projectuiapi to be installed.
The plugin org.netbeans.modules.projectuiapi is requested in version 1.78.1.8. The following plugin is affected:       MPLAB® Code Configurator Some plugins not installed to avoid potential installation problems.

發表於: 1/15 11:23
Twitter Facebook Google Plus Linkedin Del.icio.us Digg Reddit Mr. Wong 頂部


Re: 安裝MCC 4.02發生的問題
#2
版主
版主


查看用戶資訊
1. 是的,MCC 安裝的方式有兩種。一是線上安裝,開啟 Tools --> Plugins 的視窗後選擇 "Available Plugins" 的頁籤後選擇 "MPLAB Code COnfigurator" 安裝日前在網站上的最新版的 MCC。二是先下載 MCC 的 Plugin 資料庫 ***.nbm。下載 Plug-in 的資料庫可以在右邊的教育訓練光碟下找到各種版本的 nbm 先解壓縮,在 Plugins 用 "Downloaded" 模組的方式將 nbm 載入到 MCC 裡。

2. 關於使用舊的 Peripheral Library 的資源。Lib 只要是支援 PIC18 的周邊函數,至於 PIC16 就沒有支援了。原因是 PIC18 的周邊函數庫是來自 C18 的延伸,而 PIC16 一直都沒有爭邊函數庫可以使用。所以要使用 PIC18 才建議安裝周邊函數庫的。但還是建議使用 MCC 來產生周邊函數庫才比較能有新元件的支援。

教育訓練光碟: http://www.microchip.com.tw/RTC/RTC_DVD/
你可以在這裡下載各種版本的 MCC
關於安裝 MCC 的方式可以參考一下 PIC101 的教材,裡面有一個 : MPLAB v3.35 & MCC v3.15 .軟體安裝 v2.0.pdf 的中文手冊裡面有說明。

發表於: 1/18 10:52
Twitter Facebook Google Plus Linkedin Del.icio.us Digg Reddit Mr. Wong 頂部







You can view topic.
不可以 發起新主題
You cannot reply to posts.
You cannot edit your posts.
You cannot delete your posts.
You cannot add new polls.
You cannot vote in polls.
You cannot attach files to posts.
You cannot post without approval.
You cannot use topic type.
You cannot use HTML syntax.
You cannot use signature.
You cannot create PDF files.
You cannot get print page.

[進階搜尋]


:::

Microchip連結

http://www.microchip.com.tw/modules/tadnews/index.php?nsn=18
http://elearning.microchip.com.tw/modules/tad_link/index.php?cate_sn=1
http://www.microchip.com/
http://www.microchip.com/treelink
http://www.microchipdirect.com/
http://edm.microchip.com.hk/webapp/opt-in/website/tc/form.htm
http://www.microchip.com.cn/newcommunity/index.php?m=Video&a=index&id=103
http://www.microchip.com.tw/Data_CD/eLearning/index.html
http://www.microchip.com.tw/modules/tad_uploader/index.php?of_cat_sn=2
http://www.microchip.com.tw/RTC/RTC_DVD/
[ more... ]

Microchip CAE 空中教室

教育訓練中心

課程 - 台北教育訓練中心
課程 - 新竹教育訓練中心
課程 - 高雄教育訓練中心
教育訓練中心介紹
購買 - 實驗工具
臺灣實驗板介紹與資源